## org.apache.mahout.common.parameters
Class ClassParameter

    java.lang.Object
      org.apache.mahout.common.parameters.AbstractParameter<Class>
          org.apache.mahout.common.parameters.ClassParameter

All Implemented Interfaces:
  Parameter<Class>, Parametered

    public class ClassParameter

extends AbstractParameter<Class>

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.mahout.common.parameters.Parametered
`Parametered.ParameteredGeneralizations`

Field Summary

Fields inherited from interface org.apache.mahout.common.parameters.Parametered
`log`

Constructor Summary
`ClassParameter(String prefix, String name, org.apache.hadoop.conf.Configuration jobConf, Class<?> defaultValue, String description)`

Method Summary
`String` `getStringValue()`
`void` `setStringValue(String stringValue)`

Methods inherited from class org.apache.mahout.common.parameters.AbstractParameter
`configure, createParameters, defaultValue, description, get, getParameters, name, prefix, set, toString, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassParameter

    public ClassParameter(String prefix,
                          String name,
                          org.apache.hadoop.conf.Configuration jobConf,
                          Class<?> defaultValue,
                          String description)

Method Detail

### setStringValue

    public void setStringValue(String stringValue)

  Parameters:
    `stringValue` - value string representation

### getStringValue

    public String getStringValue()

  Specified by:
    `getStringValue` in interface `Parameter<Class>`
  Overrides:
    `getStringValue` in class `AbstractParameter<Class>`
  Returns:
    value string representation of current value

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.